package com.huijy.management.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 内容管理对象 t_content
 *
 * @author luobo
 * @date 2021-09-12
 */
public class Content extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 内容管理id */
    private Long contentId;

    /** 信息类型 */
    @Excel(name = "信息类型")
    private String serviceInfo;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 作者 */
    @Excel(name = "作者")
    private String author;

    /** 展示图片 */
    @Excel(name = "展示图片")
    private String showPictures;

    /** 简介 */
    private String briefContent;

    /** 详情 */
    private String content;

    /** 创建人 */
    private Long createAt;

    /** 审核状态 0、未审核 1初审 2终审 */
    @Excel(name = "审核状态 0、未审核 1初审 2终审")
    private String auditFlag;

    /** 初审人 */
    @Excel(name = "初审人")
    private Long auditAt;

    /** 初审时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "初审时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 初审核信息 */
    @Excel(name = "初审核信息")
    private String auditMsg;

    /** 发布标志 */
    @Excel(name = "发布标志")
    private String releaseFlag;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date releaseTime;

    /** 发布人 */
    @Excel(name = "发布人")
    private Long releaseAt;

    /** 终审人 */
    @Excel(name = "终审人")
    private Long endAuditAt;

    /** 终审时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "终审时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endAuditTime;

    /** 终核信息 */
    @Excel(name = "终核信息")
    private String endAuditMsg;

    /** 点击量 */
    @Excel(name = "点击量")
    private Integer browseNum;

    public void setContentId(Long contentId)
    {
        this.contentId = contentId;
    }

    public Long getContentId()
    {
        return contentId;
    }
    public void setServiceInfo(String serviceInfo)
    {
        this.serviceInfo = serviceInfo;
    }

    public String getServiceInfo()
    {
        return serviceInfo;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setAuthor(String author)
    {
        this.author = author;
    }

    public String getAuthor()
    {
        return author;
    }
    public void setShowPictures(String showPictures)
    {
        this.showPictures = showPictures;
    }

    public String getShowPictures()
    {
        return showPictures;
    }
    public void setBriefContent(String briefContent)
    {
        this.briefContent = briefContent;
    }

    public String getBriefContent()
    {
        return briefContent;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCreateAt(Long createAt)
    {
        this.createAt = createAt;
    }

    public Long getCreateAt()
    {
        return createAt;
    }
    public void setAuditFlag(String auditFlag)
    {
        this.auditFlag = auditFlag;
    }

    public String getAuditFlag()
    {
        return auditFlag;
    }
    public void setAuditAt(Long auditAt)
    {
        this.auditAt = auditAt;
    }

    public Long getAuditAt()
    {
        return auditAt;
    }
    public void setAuditTime(Date auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime()
    {
        return auditTime;
    }
    public void setAuditMsg(String auditMsg)
    {
        this.auditMsg = auditMsg;
    }

    public String getAuditMsg()
    {
        return auditMsg;
    }
    public void setReleaseFlag(String releaseFlag)
    {
        this.releaseFlag = releaseFlag;
    }

    public String getReleaseFlag()
    {
        return releaseFlag;
    }
    public void setReleaseTime(Date releaseTime)
    {
        this.releaseTime = releaseTime;
    }

    public Date getReleaseTime()
    {
        return releaseTime;
    }
    public void setReleaseAt(Long releaseAt)
    {
        this.releaseAt = releaseAt;
    }

    public Long getReleaseAt()
    {
        return releaseAt;
    }
    public void setEndAuditAt(Long endAuditAt)
    {
        this.endAuditAt = endAuditAt;
    }

    public Long getEndAuditAt()
    {
        return endAuditAt;
    }
    public void setEndAuditTime(Date endAuditTime)
    {
        this.endAuditTime = endAuditTime;
    }

    public Date getEndAuditTime()
    {
        return endAuditTime;
    }
    public void setEndAuditMsg(String endAuditMsg)
    {
        this.endAuditMsg = endAuditMsg;
    }

    public String getEndAuditMsg()
    {
        return endAuditMsg;
    }

    public Integer getBrowseNum() {
        return browseNum;
    }

    public void setBrowseNum(Integer browseNum) {
        this.browseNum = browseNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("contentId", getContentId())
            .append("serviceInfo", getServiceInfo())
            .append("title", getTitle())
            .append("author", getAuthor())
            .append("showPictures", getShowPictures())
            .append("briefContent", getBriefContent())
            .append("content", getContent())
            .append("createTime", getCreateTime())
            .append("createAt", getCreateAt())
            .append("auditFlag", getAuditFlag())
            .append("auditAt", getAuditAt())
            .append("auditTime", getAuditTime())
            .append("auditMsg", getAuditMsg())
            .append("releaseFlag", getReleaseFlag())
            .append("releaseTime", getReleaseTime())
            .append("releaseAt", getReleaseAt())
            .append("endAuditAt", getEndAuditAt())
            .append("endAuditTime", getEndAuditTime())
            .append("endAuditMsg", getEndAuditMsg())
            .append("browseNum", getBrowseNum())
            .toString();
    }
}
